package com.fs.oms.domain;

import java.math.BigDecimal;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 供应商商品对象 oms_supplier_goods
 *
 * @author fs
 * @date 2023-06-14
 */
public class OmsSupplierGoods extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 供应商id */
    @Excel(name = "供应商id")
    private Long supplierId;

    /** 供应商编码 */
    @Excel(name = "供应商编码")
    private String supplierCode;

    @Excel(name = "供应商名称")
    private String name;

    /** 供应商SKU编码 */
    @Excel(name = "供应商SKU编码")
    private String supplierSkucode;

    /** 供应商商品编码 */
    @Excel(name = "供应商商品编码")
    private String supplierSpucode;

    /** 含税采购价 */
    @Excel(name = "含税采购价")
    private BigDecimal taxunitPrice;

    /** 不含税采购价 */
    @Excel(name = "不含税采购价")
    private BigDecimal unitPrice;

    /** 税率 */
    @Excel(name = "税率")
    private BigDecimal taxRate;

    /** 是否含包装 0否  1是 */
    @Excel(name = "是否含包装 0否  1是")
    private Long packagingFlag;

    /** 是否包邮 0否  1是 */
    @Excel(name = "是否包邮 0否  1是")
    private Long shippingFlag;

    /** 商品图片 */
    @Excel(name = "商品图片")
    private String image;

    /** 商品名称 */
    @Excel(name = "商品名称")
    private String spuName;

    /** 商品编码 */
    @Excel(name = "商品编码")
    private String spuCode;

    /** oms商品skuid */
    @Excel(name = "oms商品skuid")
    private Long skuId;

    /** oms商品sku code */
    @Excel(name = "sku编码")
    private String skuCode;

    /** oms商品sku编码 */
    @Excel(name = "oms商品sku编码")
    private String skuName;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Long createUserId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Long updateUserId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setSupplierId(Long supplierId)
    {
        this.supplierId = supplierId;
    }

    public Long getSupplierId()
    {
        return supplierId;
    }
    public void setSupplierCode(String supplierCode)
    {
        this.supplierCode = supplierCode;
    }

    public String getSupplierCode()
    {
        return supplierCode;
    }
    public void setSupplierSkucode(String supplierSkucode)
    {
        this.supplierSkucode = supplierSkucode;
    }

    public String getSupplierSkucode()
    {
        return supplierSkucode;
    }
    public void setSupplierSpucode(String supplierSpucode)
    {
        this.supplierSpucode = supplierSpucode;
    }

    public String getSupplierSpucode()
    {
        return supplierSpucode;
    }
    public void setTaxunitPrice(BigDecimal taxunitPrice)
    {
        this.taxunitPrice = taxunitPrice;
    }

    public BigDecimal getTaxunitPrice()
    {
        return taxunitPrice;
    }
    public void setUnitPrice(BigDecimal unitPrice)
    {
        this.unitPrice = unitPrice;
    }

    public BigDecimal getUnitPrice()
    {
        return unitPrice;
    }
    public void setTaxRate(BigDecimal taxRate)
    {
        this.taxRate = taxRate;
    }

    public BigDecimal getTaxRate()
    {
        return taxRate;
    }
    public void setPackagingFlag(Long packagingFlag)
    {
        this.packagingFlag = packagingFlag;
    }

    public Long getPackagingFlag()
    {
        return packagingFlag;
    }
    public void setShippingFlag(Long shippingFlag)
    {
        this.shippingFlag = shippingFlag;
    }

    public Long getShippingFlag()
    {
        return shippingFlag;
    }
    public void setImage(String image)
    {
        this.image = image;
    }

    public String getImage()
    {
        return image;
    }
    public void setSpuName(String spuName)
    {
        this.spuName = spuName;
    }

    public String getSpuName()
    {
        return spuName;
    }
    public void setSpuCode(String spuCode)
    {
        this.spuCode = spuCode;
    }

    public String getSpuCode()
    {
        return spuCode;
    }
    public void setSkuId(Long skuId)
    {
        this.skuId = skuId;
    }

    public Long getSkuId()
    {
        return skuId;
    }
    public void setSkuCode(String skuCode)
    {
        this.skuCode = skuCode;
    }

    public String getSkuCode()
    {
        return skuCode;
    }
    public void setSkuName(String skuName)
    {
        this.skuName = skuName;
    }

    public String getSkuName()
    {
        return skuName;
    }
    public void setCreateUserId(Long createUserId)
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId()
    {
        return createUserId;
    }
    public void setUpdateUserId(Long updateUserId)
    {
        this.updateUserId = updateUserId;
    }

    public Long getUpdateUserId()
    {
        return updateUserId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("supplierId", getSupplierId())
            .append("name",getName())
            .append("supplierCode", getSupplierCode())
            .append("supplierSkucode", getSupplierSkucode())
            .append("supplierSpucode", getSupplierSpucode())
            .append("taxunitPrice", getTaxunitPrice())
            .append("unitPrice", getUnitPrice())
            .append("taxRate", getTaxRate())
            .append("packagingFlag", getPackagingFlag())
            .append("shippingFlag", getShippingFlag())
            .append("remark", getRemark())
            .append("image", getImage())
            .append("spuName", getSpuName())
            .append("spuCode", getSpuCode())
            .append("skuId", getSkuId())
            .append("skuCode", getSkuCode())
            .append("skuName", getSkuName())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
